## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionParseContent

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression

    public interface XMLValueFunctionParseContent

extends QueryValueExpression

A representation of the model object 'XML Value Function Parse Content'.

The following features are supported:

- `Value Function Parse`
- `Value Expr`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionParseContent()`

Method Summary
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`XMLValueFunctionParse` `getValueFunctionParse()` Returns the value of the 'Value Function Parse' container reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.
`void` `setValueFunctionParse(XMLValueFunctionParse value)` Sets the value of the '`Value Function Parse`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getValueFunctionParse

    XMLValueFunctionParse getValueFunctionParse()

  Returns the value of the 'Value Function Parse' container reference. It is bidirectional and its opposite is '`Parse Content`'.

  If the meaning of the 'Value Function Parse' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Parse' container reference.
  See Also:
    `setValueFunctionParse(XMLValueFunctionParse)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParseContent_ValueFunctionParse()`, `XMLValueFunctionParse.getParseContent()`

### setValueFunctionParse

    void setValueFunctionParse(XMLValueFunctionParse value)

  Sets the value of the '`Value Function Parse`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Parse' container reference.
  See Also:
    `getValueFunctionParse()`

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParseContent_ValueExpr()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`